> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a property by ID

GET https://api.propexo.com/v1/properties/{id}

Get a property by ID

Reference: https://docs.propexo.com/api-reference/buildium/properties/get-a-property-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1PropertiesIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1PropertiesIdGetOutputResults

- `id` (string, optional) — The Propexo unique identifier for the property
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_created_at` (any, optional) — The date the record first entered the integration vendorThis field will always be null for BUILDIUM
- `x_id` (string, optional) — The external ID from the integration vendor | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `x_building_id` (any, optional) — The external ID of the building (not necessarily the property) from the integration vendorThis field will always be null for BUILDIUM
- `building_number` (any, optional) — The building number associated with the propertyThis field will always be null for BUILDIUM
- `city` (string, optional, nullable) — The city associated with the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `code` (any, optional) — The code associated with the propertyThis field will always be null for BUILDIUM
- `country` (any, optional) — The country associated with the propertyThis field will always be null for BUILDIUM
- `county` (any, optional) — The county associated with the propertyThis field will always be null for BUILDIUM
- `custom_data` (V1PropertiesIdGetOutputResultsCustomData, optional, nullable)
- `is_active` (boolean, optional, nullable) — Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint. | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `manager_email` (string, optional, nullable) — The email address of the property manager | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `manager_name` (string, optional, nullable) — The name of the property manager | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `manager_phone_1` (string, optional, nullable) — The first phone number of the property manager | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `manager_phone_1_type` (enum, optional) — The type of the first phone number of the property manager | Interface | Method | |---|---| | Rental Properties | GET /rentals |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `manager_phone_2` (string, optional, nullable) — The second phone number of the property manager | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `manager_phone_2_type` (enum, optional) — The type of the second phone number of the property manager | Interface | Method | |---|---| | Rental Properties | GET /rentals |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `name` (string, optional, nullable) — The name of the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `notes` (string, optional, nullable) — Notes associated with the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `number_of_units` (integer, optional, nullable) — The number of units in the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `square_feet` (integer, optional, nullable) — The square footage of the propertyThis field is not currently hydrated for BUILDIUM
- `state` (string, optional, nullable) — The state associated with the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `address_1` (string, optional, nullable) — The first address line associated with the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `address_2` (string, optional, nullable) — The second address line associated with the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `type_raw` (string, optional, nullable) — The raw PMS type of the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `type_normalized` (V1PropertiesIdGetOutputResultsTypeNormalized, optional, nullable) — The Propexo normalized property type | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `website` (any, optional) — The website URL associated with the propertyThis field will always be null for BUILDIUM
- `year_built` (integer, optional, nullable) — The year the property was built | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `zip` (string, optional, nullable) — The zip code associated with the property | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `long_description` (any, optional) — A long description of the propertyThis field will always be null for BUILDIUM
- `short_description` (any, optional) — A short description of the propertyThis field will always be null for BUILDIUM
- `office_hours` (V1PropertiesIdGetOutputResultsOfficeHours, optional)
- `pet_types` (list of PetTypes, optional) — This field is not currently hydrated for BUILDIUM
- `associated_owner_ids` (list of string, optional) — The property IDs associated with the ownerThis field is not currently hydrated for BUILDIUM
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `BUILDIUM`, `APPFOLIO`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `square_footage` (any, optional, deprecated) — Deprecated: Use square\_feetThis field will always be null for BUILDIUM
- `street_address_1` (string, optional, nullable, deprecated) — Deprecated: Use address_1 | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `street_address_2` (string, optional, nullable, deprecated) — Deprecated: Use address_2 | Interface | Method | |---|---| | Rental Properties | GET /rentals |
- `type` (any, optional, deprecated) — Deprecated: Use type\_raw\.This field will always be null for BUILDIUM

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1PropertiesIdGetOutputResultsCustomData

### V1PropertiesIdGetOutputResultsTypeNormalized

The Propexo normalized property type | Interface | Method | |---|---| | Rental Properties | GET /rentals |

### V1PropertiesIdGetOutputResultsOfficeHours

- `close_time` (string, required) — The closing time for the officeThis field is not currently hydrated for BUILDIUM
- `day_of_week` (enum, required) — The day of the week associated with the office hoursThis field is not currently hydrated for BUILDIUM
  - Allowed values: `SUNDAY`, `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`
- `open_time` (string, required) — The opening time for the officeThis field is not currently hydrated for BUILDIUM

### PetTypes

- `name` (string, required) — The name associated with the pet typeThis field is not currently hydrated for BUILDIUM
- `is_allowed` (boolean, required, nullable) — Whether the pet type is allowed or notThis field is not currently hydrated for BUILDIUM
- `description` (string, required, nullable) — Description of the pet typeThis field is not currently hydrated for BUILDIUM
- `notes` (string, required, nullable) — Notes associated with the pet typeThis field is not currently hydrated for BUILDIUM
- `deposit_raw` (string, required, nullable) — The deposit amount associated with the pet typeThis field is not currently hydrated for BUILDIUM
- `deposit_in_cents` (double, required, nullable) — The deposit amount in cents associated with the pet typeThis field is not currently hydrated for BUILDIUM
- `fee_raw` (string, required, nullable) — The raw fee amount for the pet typeThis field is not currently hydrated for BUILDIUM
- `fee_in_cents` (double, required, nullable) — The fee amount in cents for the pet typeThis field is not currently hydrated for BUILDIUM
- `fee_min_raw` (string, required, nullable) — The minimum raw fee amount for the pet typeThis field is not currently hydrated for BUILDIUM
- `fee_min_in_cents` (double, required, nullable) — The minimum fee amount in cents for the pet typeThis field is not currently hydrated for BUILDIUM
- `fee_max_raw` (string, required, nullable) — The maxmimum raw fee amount for the pet typeThis field is not currently hydrated for BUILDIUM
- `fee_max_in_cents` (double, required, nullable) — The maxmimum raw fee amount in cents for the pet typeThis field is not currently hydrated for BUILDIUM
- `rent_amount_raw` (string, required, nullable) — The raw rent amount for the pet typeThis field is not currently hydrated for BUILDIUM
- `rent_amount_in_cents` (double, required, nullable) — The rent amount in cents for the pet typeThis field is not currently hydrated for BUILDIUM

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_created_at": null,
    "x_id": "cl9b1nqwe0001jsxq8ab1c2aa",
    "x_property_id": "cl9b1nqwe0001jsxq8ab1c2aa",
    "x_building_id": null,
    "building_number": null,
    "city": "Oakland",
    "code": null,
    "country": null,
    "county": null,
    "custom_data": {},
    "is_active": true,
    "manager_email": "name@example.com",
    "manager_name": "Rachel Smith",
    "manager_phone_1": "6175551234",
    "manager_phone_1_type": "FAX",
    "manager_phone_2": "6175551234",
    "manager_phone_2_type": "MOBILE",
    "name": "Estates at East Lake",
    "notes": "A quaint colonial in a nice suburban neighborhood.",
    "number_of_units": 100,
    "square_feet": 1,
    "state": "CA",
    "address_1": "1842 Cedar Avenue",
    "address_2": "Apt 204",
    "type_raw": "multifam",
    "type_normalized": "MULTI_FAMILY",
    "website": null,
    "year_built": 2004,
    "zip": "94612",
    "long_description": null,
    "short_description": null,
    "office_hours": {
      "0": {
        "day_of_week": "SUNDAY",
        "open_time": "string",
        "close_time": "string"
      },
      "close_time": "string",
      "day_of_week": "SUNDAY",
      "open_time": "string"
    },
    "pet_types": [
      {
        "name": "string",
        "is_allowed": true,
        "description": "string",
        "notes": "string",
        "deposit_raw": "string",
        "deposit_in_cents": 100000,
        "fee_raw": "string",
        "fee_in_cents": 100000,
        "fee_min_raw": "string",
        "fee_min_in_cents": 100000,
        "fee_max_raw": "string",
        "fee_max_in_cents": 100000,
        "rent_amount_raw": "string",
        "rent_amount_in_cents": 100000
      }
    ],
    "associated_owner_ids": [
      "string"
    ],
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "BUILDIUM",
    "square_footage": null,
    "street_address_1": "string",
    "street_address_2": "string",
    "type": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/properties/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/properties/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/properties/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/properties/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/properties/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/properties/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/properties/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/properties/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```